#ifndef _USER_IMITATE_SPI_H_
#define _USER_IMITATE_SPI_H_

#include "cpu.h"
#include "cpu_gpio.h"

typedef struct
{
	gpio_pin       			spi_scl_pin;
	gpio_pin         		spi_mosi_pin;	
}imitate_spi_gpio_t;

void imitate_spi_gpio_init(imitate_spi_gpio_t gpio);
void gpio_imitatespi_init(void);
unsigned char spi_read_byte(void);
void spi_write_byte(unsigned char dat);
void gpio_set_sclk(int value);
void gpio_set_mosi(int value);
unsigned char spi_read_byte(void);
void spi_write_byte(unsigned char dat);

#endif
